Subject: Re: bug#59935: 29.0.60; project-list-buffers is slow

From: Dmitry Gutov <[email-masked]>
Date: Sat, 10 Dec 2022 21:19:30 +0200

On 10/12/2022 16:33, Eli Zaretskii wrote:
> OK, but I didn't suggest making any changes to revert-buffer-function
> set up by "C-x p C-b".  You can still use process-buffers there, and
> it shouldn't slow down "C-x p C-b" itself, since the call to
> process-buffers that is part of revert-buffer-function is not supposed
> to be evaluated when you set revert-buffer-function.  Right?  Or what
> else am I missing?

Then only the 'g' binding will remain slow. An improvement, of course.

But if we go this route, then we don't use the "new" 
list-buffers-noselect convention either, so we might as well do the full 
fix.